# 32/64bit spec-file
#
%define api        1.0

Name: qt-gstreamer
Summary: C++ bindings for GStreamer with a Qt-style API
Version: 1.2.0
Release: %mkrel 2
License: LGPLv2+
Url: http://gstreamer.freedesktop.org/wiki/QtGStreamer
Group: Graphical desktop/KDE5
BuildRequires: cmake
BuildRequires: %{_lib}qt4-devel
BuildRequires: automoc
BuildRequires: %{_lib}boost-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: doxygen
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: http://gstreamer.freedesktop.org/src/qt-gstreamer/%{name}-%{version}.tar.xz
Patch0: gstreamer-1.6.patch
Patch1: gstreamer-1.16.patch
Patch2: qt-gstreamer-1.18.patch

%description
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files
%defattr(-,root,root)
%_libdir/gstreamer-%{api}/libgstqt5videosink.so
%_qt5_qmldir/QtGStreamer/
#-------------------------------------------------------------------

%define major 0
%define libname %mklibname %name %{major}

%package -n %{libname}
Summary: C++ bindings for GStreamer with a Qt-style API
Group: System/Libraries

%description -n %{libname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files -n %{libname}
%defattr(-,root,root)
%_libdir/libQt5GLib-2.0.so.0
%_libdir/libQt5GLib-2.0.so.1.2.0
%_libdir/libQt5GStreamer-1.0.so.0
%_libdir/libQt5GStreamer-1.0.so.1.2.0
%_libdir/libQt5GStreamerQuick-1.0.so.0
%_libdir/libQt5GStreamerQuick-1.0.so.1.2.0
%_libdir/libQt5GStreamerUi-1.0.so.0
%_libdir/libQt5GStreamerUi-1.0.so.1.2.0
%_libdir/libQt5GStreamerUtils-1.0.so.0
%_libdir/libQt5GStreamerUtils-1.0.so.1.2.0
#--------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %{develname}
Summary: Development files for QtGstreamer
Group: Development/Libraries
Requires: %libname 
Provides: %name-devel = %version-%release

%description -n %{develname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

This package contains files for developing applications using 
QtGstreamer.

%files -n %{develname}
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/Qt5GStreamer
%_libdir/cmake/Qt5GStreamer
#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt5 -DQTGSTREAMER_TESTS=OFF -DLIB_INSTALL_DIR=%{_libdir} -DQT_VERSION=5
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%clean
rm -rf %buildroot


%changelog
* Wed Oct 27 2020 tex - 1.2.0-2pclos2020
- update

* Tue Mar 10 2015 bb <bb> 1.2.0-1pclos2015
- update

